//========================================================================================
//
//	File:				FWFileSy.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWFILESY_H
#include "FWFileSy.h"
#endif


//========================================================================================
//	Runtime type information
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment FileSystem
#endif


//========================================================================================
//	CLASS FW_CAccessPermission
//========================================================================================

//----------------------------------------------------------------------------------------
//	FW_CAccessPermission::FW_CAccessPermission
//
//	Constructor sets the values for access.  Both parameters are optional.  The default
//    access is exclusive read/write.  The default deny mode is deny read/write.
//----------------------------------------------------------------------------------------

FW_CAccessPermission::FW_CAccessPermission(unsigned long access, unsigned long deny)
{
	fRep.fAccess = access;
	fRep.fDeny   = deny;
}


//----------------------------------------------------------------------------------------
//	FW_CAccessPermission::FW_CAccessPermission
//
//  Copy constructor
//----------------------------------------------------------------------------------------

FW_CAccessPermission::FW_CAccessPermission(const FW_SAccessPermission& permission)
{
	fRep.fAccess = permission.fAccess;
	fRep.fDeny   = permission.fDeny;
}


//----------------------------------------------------------------------------------------
//	FW_CAccessPermission::FW_CAccessPermission
//
//  Copy constructor
//----------------------------------------------------------------------------------------

FW_CAccessPermission::FW_CAccessPermission(const FW_CAccessPermission& permission)
{
	fRep.fAccess = permission.fRep.fAccess;
	fRep.fDeny   = permission.fRep.fDeny;
}


//----------------------------------------------------------------------------------------
//	FW_CAccessPermission::operator=
//----------------------------------------------------------------------------------------

FW_CAccessPermission& FW_CAccessPermission::operator=(const FW_SAccessPermission& permission)
{
	fRep.fAccess = permission.fAccess;
	fRep.fDeny   = permission.fDeny;
	return(*this);
}


//----------------------------------------------------------------------------------------
//	FW_CAccessPermission::operator==
//----------------------------------------------------------------------------------------

FW_Boolean FW_CAccessPermission::operator==(const FW_SAccessPermission& permission) const
{
	return ((fRep.fAccess == permission.fAccess) && (fRep.fDeny == permission.fDeny));
}



